<?php
/**
 * Contact Button Section options
 *
 * @package Busyness
 */

// Add Contact Button section
$wp_customize->add_section( 'busyness_topbar_section', array(
	'title'             => esc_html__( 'Contact Button','busyness-pro' ),
	'description'       => esc_html__( 'Contact Button options.', 'busyness-pro' ),
	'panel'             => 'busyness_home_page_panel',
) );

// top bar menu visible
$wp_customize->add_setting( 'busyness_theme_options[topbar_login_register_enable]',
	array(
		'default'       	=> $options['topbar_login_register_enable'],
		'sanitize_callback' => 'busyness_sanitize_switch_control',
	)
);
$wp_customize->add_control( new busyness_Switch_Control( $wp_customize, 'busyness_theme_options[topbar_login_register_enable]',
    array(
		'label'      		=> esc_html__( 'Display Login / Register', 'busyness-pro' ),
		'section'    		=> 'busyness_topbar_section',
		'on_off_label' 		=> busyness_switch_options(),
    )
) );

// topbar login setting and control
$wp_customize->add_setting( 'busyness_theme_options[topbar_login_label]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['topbar_login_label'],
) );

$wp_customize->add_control( 'busyness_theme_options[topbar_login_label]', array(
	'label'           	=> esc_html__( 'Login Label', 'busyness-pro' ),
	'section'        	=> 'busyness_topbar_section',
	'type'				=> 'text',
	'active_callback'	=> 'busyness_is_login_register_meta_section_enable',
) );

// topbar login url setting and control
$wp_customize->add_setting( 'busyness_theme_options[topbar_login_url]', array(
	'sanitize_callback' => 'esc_url_raw',
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'busyness_theme_options[topbar_login_url]', array(
	'label'           	=> esc_html__( 'Login Url', 'busyness-pro' ),
	'section'        	=> 'busyness_topbar_section',
	'type'				=> 'url',
	'active_callback'	=> 'busyness_is_login_register_meta_section_enable',
) );
